<?php

glz_import('org.glizy.components.Component');

class org_minervaeurope_museoweb_blog_Comment extends org_glizy_components_Component
{
	function process()
	{
		$state = $this->_parent->getState();
		$this->setAttribute('visible', $state=='post');
		if ($state!='post') return;

		$user = &$this->_application->getCurrentUser();
		$forceReload = false;
		
		// controlla se c'  stato inviato un commento
		if (org_glizy_Request::get('action', '')=='addcomment_blog' && $user->isLogged())
		{
			$arComment = org_glizy_ObjectFactory::createModel('org.minervaeurope.museoweb.blog.models.BlogComment');
			$arComment->blogcomment_FK_blogpost_id = $this->_parent->getPostId();
			$arComment->blogcomment_FK_user_id = $user->id;
			$arComment->blogcomment_text = nl2br(strip_tags(org_glizy_Request::get('text', '')));
			$arComment->save();
			$forceReload  = true;
		}
		else if (org_glizy_Request::get('action', '')=='deletecomment_blog' && $this->_parent->userIsAdmin())
		{
			$arComment = org_glizy_ObjectFactory::createModel('org.minervaeurope.museoweb.blog.models.BlogComment');
			$arComment->delete(org_glizy_Request::get('id', ''));
			$forceReload  = true;
		}

		$ar = &$this->_parent->getPostAr($forceReload);
		$this->_content = array();
		$this->_content['records'] = array();
		while ($ar->comments->hasMore())
		{
			$arC = $ar->comments->current();
			$arC->setProcessRelations(true);
			$arC->buildAllRelations();
			$values = $arC->getValuesAsArray();
			$values['blogcomment_text'] = org_glizy_helpers_Html::forceP($values['blogcomment_text']);
			$values['author'] = $arC->getAuthor();
			$values['__urldelete__'] = $this->_parent->getActionUrl('deletecomment_blog', $arC->blogcomment_id);
			$this->_content['records'][] = $values;
			$ar->comments->next();
		}
		$this->_content['__url__'] = 'index.php?'.$_SERVER['QUERY_STRING'];		
		$this->_content['isOpen'] = $ar->blogpost_hasComment==1 && $user->isLogged();
		$this->_content['isAdmin'] = $this->_parent->userIsAdmin();
	}
}
?>