<?php
/* SVN FILE: $Id$ */

/**
 * Glizy costant definition.
 *
 * This file is part of the GLIZY framework.
 * Copyright (c) 2005-2006 Daniele Ugoletti <daniele@ugoletti.com>
 * 
 * For the full copyright and license information, please view the COPYRIGHT.txt
 * file that was distributed with this source code.
 *
 * @copyright    Copyright (c) 2005, 2006 Daniele Ugoletti
 * @link         http://www.glizy.org Glizy Project
 * @license      http://www.gnu.org/copyleft/lesser.html GNU LESSER GENERAL PUBLIC LICENSE
 * @package      glizy
 * @subpackage   core
 * @author		 Daniele Ugoletti <daniele@ugoletti.com>
 * @category	 script
 * @since        Glizy v 0.01
 * @version      $Rev$
 * @modifiedby   $LastChangedBy$
 * @lastmodified $Date$
 */
 

if (!defined('E_STRICT')) define('E_STRICT', 2048);

 
// directory contente tutti i file del core
define('GLZ_LOADED', true);
define('GLZ_CORE_DIR', realpath(dirname(__FILE__)).'/');

// directory contente tutti i file del core
define('GLZ_CLASSES_DIR', realpath(dirname(__FILE__)).'/classes/');

// directory contentente le librerie
define('GLZ_LIBS_DIR', realpath(dirname(__FILE__)).'/libs/');

define('GLZ_COMPILER_NEWLINE', ";\n");
define('GLZ_COMPILER_NEWLINE2', "\n");
define('GLZ_CORE_VERSION', '0.9.0');

$protocol = $_SERVER["HTTPS"] === true || $_SERVER["HTTPS"] === 'on' ? 'https://' : 'http://';
$host = $protocol.$_SERVER['HTTP_HOST'].$_SERVER["PHP_SELF"];
$host = substr( $host, 0, strrpos( $host, '/' ) );
define('GLZ_HOST', $host);
define('GLZ_HOST_ROOT', str_replace( '/admin', '', $host ) );
define('GLZ_SCRIPNAME', $_SERVER['PHP_SELF']);

define('GLZ_EVT_USERLOGIN', 'login');
define('GLZ_EVT_USERLOGOUT', 'logout');
define('GLZ_EVT_AR_UPDATE', 'update');
define('GLZ_EVT_AR_INSERT', 'insert');
define('GLZ_EVT_AR_DELETE', 'delete');
define('GLZ_EVT_SITEMAP_UPDATE', 'siteMapUpdate');
define('GLZ_ERR_EMPTY_APP_PATH', 'The application path can\'t be empty');
?>