<?php
/* SVN FILE: $Id: FlashVideo.php 242 2009-05-24 21:40:14Z ugoletti $ */

/**
 * Flash Video Component
 * show the video player for FLV files, the player is develeped by Jeroen Wijering <http://www.jeroenwijering.com/>
 *
 * Dependencies:
 *		static/org_minervaeurope_museoweb/flv_player/flvplayer.swf
 *		MW/pageTypes/FlashVideo.xml
 *
 * @copyright Copyright(c) 2005-2009 Ministero per i beni e le attivit culturali. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 *
 * Museo & Web CMS is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 *
 * @author		Daniele Ugoletti <daniele.ugoletti@gruppometa.it>, Gruppo Meta <http://www.gruppometa.it>
 * @package		Museo&Web CMS
 * @category	Component
 * @since		MWCMS 1.3.1
 * @version		$Rev: 242 $
 * @modifiedby	$LastChangedBy: ugoletti $
 * @lastmodified	$Date: 2009-05-24 23:40:14 +0200 (dom, 24 mag 2009) $
 */
 
glz_import('org.glizy.components.Component');
glz_import('org.glizy.helpers.JS');

class org_minervaeurope_museoweb_AddThis extends org_glizy_components_Component
{
	function render_html()
	{
		$siteProp = unserialize(org_glizy_Registry::get('org/minervaeurope/museoweb/siteProp/'.$this->_application->getLanguage(), ''));
		if ( isset( $siteProp[ 'addthis' ] ) &&  $siteProp[ 'addthis' ] == "1" )
		{
			$code = $siteProp[ 'addthis' ];
			$output =  <<< EOD
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style clearfix">
<a class="addthis_button_preferred_1"></a>
<a class="addthis_button_preferred_2"></a>
<a class="addthis_button_preferred_3"></a>
<a class="addthis_button_preferred_4"></a>
<a class="addthis_button_compact"></a>
<a class="addthis_counter addthis_bubble_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4f0b6fe248dc64d3"></script>
<!-- AddThis Button END -->
EOD;
			// add the code in the output buffer
			$this->addOutputCode($output);
		}
	}
}
?>