<?php

class org_minervaeurope_museoweb_blog_Blog extends org_glizy_components_ComponentContainer
{
	//var $_blogId = NULL;
	var $_postId = NULL;
	var $_categoryId = NULL;
	var $_authorId = NULL;
	var $_archiveId = NULL;
	var $_user	= NULL;
	var $_canWrite = false;
	var $_arPost = NULL;
	var $currentMenu = NULL;
	
	function process()
	{
		// verifica se siamo all'interno di un blog
		$this->currentMenu = $this->_application->getCurrentMenu();
		$this->currentMenu->hasComment = false;
		$this->_postId = org_glizy_Request::get('blogpost_id', NULL);
		
		$this->_categoryId = org_glizy_Request::get('blogcategory_id', NULL );
		$this->_authorId = org_glizy_Request::get('user_id', NULL );
		$this->_archiveId = org_glizy_Request::get('archive_id', NULL );

	
		if (!empty($this->_postId))
		{
			$arPost = &$this->getPostAr();
			$this->_categoryId = org_glizy_Request::get('blogcategory_id', org_glizy_Session::get('blogcategory_id', NULL) );
			$this->_authorId = org_glizy_Request::get('user_id', org_glizy_Session::get('user_id', NULL) );
			$this->_archiveId = org_glizy_Request::get('archive_id', org_glizy_Session::get('archive_id', NULL) );
		}

		org_glizy_Session::set('blogcategory_id', NULL );
		org_glizy_Session::set('user_id', NULL );
		org_glizy_Session::set('archive_id',  NULL );
		
		$this->processChilds();
	}

	
	function canWrite()
	{
		return $this->_canWrite===true;
	}

	function getPostId()
	{
		return  $this->_postId;
	}

	function getCategoryId()
	{
		return  $this->_categoryId;
	}
	
	function getAuthorId()
	{
		return  $this->_authorId;
	}
	
	function getArchiveId()
	{
		return  $this->_archiveId;
	}
	
	
	function getUserId()
	{
		return $this->_user->id;
	}
	
	function userIsAdmin()
	{
		return $this->_user->id!=0 && ($this->_user->groupId==1 || $this->_user->groupId==2 || ($this->_user->id==$this->_arPost->blogpost_FK_user_id));
	}

	function getCategories(&$ar)
	{
		$cat = array();
		while($ar->categories->hasMore())
		{
			$arCatTemp = $ar->categories->current();
			$ar->categories->next();
			$arCat = &org_glizy_ObjectFactory::createModel('org.minervaeurope.museoweb.blog.models.BlogCategory');
			 $arCat->load($arCatTemp->blogcategory2blogpost_FK_blogcategory_id);
			$v = array();
			$v['blogcategory_id'] = $arCat->blogcategory_id;
			$v['blogcategory_name'] = $arCat->blogcategory_name;
			$v['title'] = $arCat->blogcategory_name;
			// var_dump( $v );
			$cat[] = org_glizy_helpers_Link::makeLink('blogCategoryList', $v);
		}
		return implode($cat, ' ');
	}

	
	function &getPostAr($force=false)
	{
		if (is_null($this->_arPost) || $force)
		{
			$this->_arPost = &org_glizy_ObjectFactory::createModel('org.minervaeurope.museoweb.blog.models.BlogPost');
			$this->_arPost->load($this->_postId);
		}

		return $this->_arPost;
	}

	function getState()
	{
		$state = org_glizy_Request::get('state');

		return is_null($state) ? 'list' : $state ;
	}
	
	function getActionUrl($action='', $id='')
	{
		return org_glizy_helpers_Link::addParams(array('action' => $action, 'id' => $id));
	}
	
	function setPageTitle( $title )
	{
		// modify the current page title
		
		$pagetitleObj = &$this->getComponentById('pagetitle');
		if (is_object($pagetitleObj))
		{
			$pagetitleObj->setAttribute( 'value', $this->currentMenu->title." > ".$title );
			$pagetitleObj->process();
		}
	}
}
?>